OpenVDB 13.0.0

Loading...
Searching...
No Matches
OSNoise Class Reference

`#include <openvdb_ax/math/OpenSimplexNoise.h>`

## Public Types
using | inttype = int64_t

## Public Member Functions
| OSNoise (inttype seed=0LL)
| OSNoise (const int *p)
template<typename T>
T | eval (const T x, const T y, const T z) const

## Member Typedef Documentation

## ◆ inttype

using inttype = int64_t

## Constructor & Destructor Documentation

## ◆ OSNoise() [1/2]

OSNoise | ( | inttype | seed = 0LL | ) |

## ◆ OSNoise() [2/2]

OSNoise | ( | const int * | p | ) |

## Member Function Documentation

## ◆ eval()

template<typename T>

T eval | ( | const T | x,
|  | const T | y,
|  | const T | z ) const